## zimlib 2.0.0

=== meson_options.txt ===
option('CLUSTER_CACHE_SIZE', type : 'string', value : '16',
  description : 'set cluster cache size to number (default:16)')
option('DIRENT_CACHE_SIZE', type : 'string', value : '512',
  description : 'set dirent cache size to number (default:512)')
option('LZMA_MEMORY_SIZE', type : 'string', value : '128',
  description : 'set lzma uncompress memory in MB (default:128)')

## zimlib 1.1

=== debian/changelog ===
zimlib (1.1-4) unstable; urgency=medium

  * Update symbols file for all officially supported architecture.
  * Comment out DPKG_GEN_SYMBOLS_CHECK=0 which prevents dpkg-gensymbols
    from failing when new symbols were added.
  * Bump standards-version to 3.9.5

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Tue, 21 Jan 2014 22:51:54 +0530

zimlib (1.1-3) unstable; urgency=medium

  * update copyright_hints.
  * Use version 1.14 for DEB_AUTO_UPDATE_ACLOCAL and DEB_AUTO_UPDATE_AUTOMAKE
    Closes: bug#730042, Thanks to Daniel Schelper.
  * manully modify control to use automake (>= 1.14) for build-depends.
  * Update symbols file, 2 symbols updated for amd64 architecture.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 18 Jan 2014 12:12:27 +0530

zimlib (1.1-2) unstable; urgency=low

  [ Vasudev Kamath ]
  * Update symbols files for all Linux architectures and kFreeBSD. (i.e.
    Hurd excluded).
  * Add patch 1001 putting delay betweeen UUID tests in testsuite,
    fixing FTBFS on Hurd.
    Thanks to Pino Toscano.
  * Bumped automake dependency to 1.13.

  [ Jonas Smedegaard ]
  * Add tarball checksum.
  * Add debian/patches/README documenting numbering micro policy.
  * Refresh patch with shortening quilt options.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2013 17:23:08 +0200

zimlib (1.1-1) unstable; urgency=low

  * Initial release.
    Closes: bug#698111.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2013 19:32:21 +0200

=== debian/control ===
Source: zimlib
Section: libs
Priority: optional
Build-Depends: cdbs (>= 0.4.106~),
 autotools-dev,
 debhelper (>= 9~),
 dh-buildinfo,
 libtool,
 automake (>= 1.14),
 autoconf,
 devscripts,
 d-shlibs (>= 0.48),
 liblzma-dev,
 libcxxtools-dev,
 pkg-kde-tools
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Vasudev Kamath <kamathvasudev@gmail.com>,
 Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 3.9.5
Homepage: http://www.openzim.org/wiki/Zimlib
Vcs-Git: git://anonscm.debian.org/collab-maint/zimlib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zimlib.git

Package: libzim0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Description: library implementation of ZIM specifications
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 zimlib is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 Features of zimlib are:
  * Native, coded in C++
  * Extremely fast
  * Minimal footprint
  * Minimal dependencies
  * Portable on most OS (Windows, Linux, Mac OS X)

Package: libzim0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libzim0 (= ${binary:Version}),
 ${misc:Depends}
Description: library implementation of ZIM specifications (debug symbols)
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 zimlib is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 This package contains debug symbols.

Package: libzim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 ${devlibs:Depends},
 libzim0 (= ${binary:Version})
Description: library implementation of ZIM specifications (development)
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 zimlib is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 This package contains development files.

=== debian/rules ===
#!/usr/bin/make -f

debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed -e 's/__LIBPKGNAME__/$(libpkg)/g' <debian/control.in.in >debian/control.in

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.69
DEB_AUTO_UPDATE_AUTOHEADER = 2.69
DEB_AUTO_UPDATE_ACLOCAL = 1.14
DEB_AUTO_UPDATE_AUTOMAKE = 1.14

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk

# TODO: remove the line below once the ibzim0.symbols files is usable
# on all architectures
#export DPKG_GENSYMBOLS_CHECK_LEVEL=0

stem = zim
major = 0
lib = lib$(stem)
libpkg = lib$(stem)$(major)
devpkg = lib$(stem)-dev

# Upstream Tarball Handling
DEB_UPSTREAM_URL = http://www.openzim.org/download
DEB_UPSTREAM_TARBALL_MD5=03813f263591347ecb3d8274daab07b6

# Build depends for packaging
CDBS_BUILD_DEPENDS +=, d-shlibs (>= 0.48)

# Build depends required by upstream
CDBS_BUILD_DEPENDS +=, liblzma-dev, libcxxtools-dev, pkg-kde-tools,

# Multiarch quirks (see also d-shlibs use of the variable further down)
CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# Run unit tests shipped by upstream
DEB_CONFIGURE_EXTRA_FLAGS += --enable-unittest
DEB_MAKE_CHECK_TARGET = test

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
binary-post-install/$(libpkg) binary-post-install/$(devpkg):: debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): binary-install/$(libpkg) binary-install/$(devpkg)
	d-shlibmove --commit \
		--devunversioned \
		--multiarch \
		--exclude-la \
		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
		--override s/liblzma5-dev/liblzma-dev/ \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# These autotools related file by upstream gets modified by us because
# of mismatch in autotools version. DEB_UPSTREAM_CRUFT_MOVE preserves
# them and reverts them back after the build.
DEB_UPSTREAM_CRUFT_MOVE = aclocal.m4 ltmain.sh configure m4/libtool.m4
DEB_UPSTREAM_CRUFT_MOVE += Makefile.in examples/Makefile.in include/Makefile.in
DEB_UPSTREAM_CRUFT_MOVE += src/tools/Makefile.in test/Makefile.in src/Makefile.in
DEB_UPSTREAM_CRUFT_MOVE += m4/ltoptions.m4 m4/ltversion.m4 m4/lt~obsolete.m4

=== debian/watch ===
version = 3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://www.openzim.org/download/zimlib-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## zimlib 1.2

=== debian/changelog ===
zimlib (1.2-9) unstable; urgency=medium

  * Modernize Vcs-* fields:
    + Fix include /git/ part for Vcs-Git URL.
    + Use https protocol.
  * Fix put aside more upstream-shipped autotools files during build,
    and (re)create autotools.
    Closes: Bug#818456. Thanks to Martin Michlmayr.
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize watch file, and add usage hint comment.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Relax symbols check when targeting experimental.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 11:57:18 +0100

zimlib (1.2-8) unstable; urgency=medium

  * Update symbols file for amd64,arm64,kfreebsd-amd64 and mipsel64
    architectures.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 07 Oct 2015 20:49:19 +0530

zimlib (1.2-7) unstable; urgency=medium

  * Update symbols file for sh4 architecture.
    Closes: bug#800912, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Tue, 06 Oct 2015 22:22:35 +0530

zimlib (1.2-6) unstable; urgency=medium

  * Update symbols file from buildd logs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2015 11:32:14 +0200

zimlib (1.2-5) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Fix FTBFS with GCC5, introduces library transition.
    Closes: bug#790296, Thanks to  Daniel Schepler.
  * Declare compliance with Debian Policy 3.9.6.
  * Use cgit front-end for Vcs-Browser.
  * Update symbols file for amd64 architecture.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage of autotools files.
    + Rewrap at 72 chars.
    + Fix use SPDX shortname X11 (not Expat~X with X Exception).
    + Fix licensing of some autotools files.
    + Fix list licenses with exceptions as separate License sections.
    + Use License-Grant, License-Reference and License-Exception fields.
      Thanks to Ben Finney.
    + Merge Files section with same Copyright and License-Grant.
  * Override lintian regarding license in License-Reference field.
    See bug#786450.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in oldstable.
  * Override lintian regarding build-depending unversioned on debhelper.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2015 10:41:53 +0200

zimlib (1.2-4) unstable; urgency=medium

  * Update symbols file for arm64.
    Closes: bug#761138, Thanks to Mathias Klose.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 13 Sep 2014 23:16:39 +0530

zimlib (1.2-3) unstable; urgency=medium

  * Update symbols file, was erroring out on kfreebsd-i386 and mips
    platform.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 22 Jun 2014 22:33:45 +0530

zimlib (1.2-2) unstable; urgency=medium

  * Updated symbols file for all the architecture
  * Comment out DPKG_GENSYMBOLS_CHECK_LEVEL=0, we have fixed symbols file
    for all architecture.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 15 Jun 2014 01:31:54 +0530

zimlib (1.2-1) unstable; urgency=medium

  * Import new upstream release.
  * Use , for DEB_AUTO_UPDATE_AUTOMAKE, and DEB_AUTO_UPDATE_ACLOCAL, thus
    depending on unversioned latest automake. CDBS build-depends hence
    gets bumped to 0.4.123~ (version where this feature was introduced).
  * Update symbols file for new release, with few new symbols being introduced
  * Update upstream tarball md5 hash
  * Set DPKG_GENSYMBOLS_CHECK_LEVEL to 0 to prevent build failure other
    architecture where symbol file is not updated.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 11 Jun 2014 22:17:19 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: zimlib
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.106~),
+Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
- debhelper (>= 9~),
+ debhelper,
  dh-buildinfo,
  libtool,
- automake (>= 1.14),
+ automake,
  autoconf,
  devscripts,
- d-shlibs (>= 0.48),
+ d-shlibs (>= 0.61),
  liblzma-dev,
  libcxxtools-dev,
  pkg-kde-tools
@@ -17,12 +17,12 @@
 Uploaders:
  Vasudev Kamath <kamathvasudev@gmail.com>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://www.openzim.org/wiki/Zimlib
-Vcs-Git: git://anonscm.debian.org/collab-maint/zimlib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zimlib.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zimlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zimlib.git
 
-Package: libzim0
+Package: libzim0v5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,6 +30,8 @@
  ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends},
  ${cdbs:Pre-Depends}
+Conflicts: libzim0
+Replaces: libzim0
 Description: library implementation of ZIM specifications
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on
@@ -49,13 +51,15 @@
   * Minimal dependencies
   * Portable on most OS (Windows, Linux, Mac OS X)
 
-Package: libzim0-dbg
+Package: libzim0v5-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libzim0 (= ${binary:Version}),
+Depends: libzim0v5 (= ${binary:Version}),
  ${misc:Depends}
+Conflicts: libzim0-dbg
+Replaces: libzim0-dbg
 Description: library implementation of ZIM specifications (debug symbols)
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on
@@ -75,7 +79,7 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${devlibs:Depends},
- libzim0 (= ${binary:Version})
+ libzim0v5 (= ${binary:Version})
 Description: library implementation of ZIM specifications (development)
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on

=== debian/rules ===
#!/usr/bin/make -f

debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed -e 's/__LIBPKGNAME__/$(libpkg)/g' <debian/control.in.in >debian/control.in

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.69
DEB_AUTO_UPDATE_AUTOHEADER = 2.69
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

# resolve experimental release
EXP_RELEASE := $(filter experimental% UNRELEASED,\
 $(shell dpkg-parsechangelog | grep -Po '^Distribution: \K.*'))

# relax symbols check when targeting experimental
$(if $(EXP_RELEASE),export DPKG_GENSYMBOLS_CHECK_LEVEL=0)

stem = zim
major = 0
lib = lib$(stem)
libpkg = lib$(stem)$(major)v5
devpkg = lib$(stem)-dev

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed by upstream build
CDBS_BUILD_DEPENDS +=, liblzma-dev, libcxxtools-dev, pkg-kde-tools

# Multiarch quirks (see also d-shlibs use of the variable further down)
CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# Run unit tests shipped by upstream
DEB_CONFIGURE_EXTRA_FLAGS += --enable-unittest
DEB_MAKE_CHECK_TARGET = test

# Install and resolve build-dependencies for shared libraries
#  * recent d-shlibs needed for v5 option
CDBS_BUILD_DEPENDS +=, d-shlibs (>= 0.61)
binary-post-install/$(libpkg) binary-post-install/$(devpkg):: debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): binary-install/$(libpkg) binary-install/$(devpkg)
	d-shlibmove --commit \
		--v5 \
		--devunversioned \
		--multiarch \
		--exclude-la \
		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
		--override s/liblzma5-dev/liblzma-dev/ \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# put aside upstream-shipped autotools files during build
makefiledirs = . examples include src src/tools test
macros_libtool = libtool ltoptions ltsugar ltversion lt~obsolete
macros_autoconf = ax_check_compile_flag ax_compiler_vendor
DEB_UPSTREAM_CRUFT_MOVE = aclocal.m4 ltmain.sh configure
DEB_UPSTREAM_CRUFT_MOVE += compile install-sh missing src/config.h.in
DEB_UPSTREAM_CRUFT_MOVE += depcomp $(patsubst %,%/Makefile.in,$(makefiledirs))
DEB_UPSTREAM_CRUFT_MOVE += $(patsubst %,m4/%.m4,$(macros_libtool) $(macros_autotools))

# (re)create autotools files
DEB_ACLOCAL_ARGS = -Im4 --install --force
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
DEB_MAKE_CLEAN_TARGET = distclean

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version = 4
http://www.openzim.org/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## zimlib 1.4

=== debian/changelog ===
zimlib (1.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Clean up symbols file, thanks James Clarke. (Closes: #860625)

 -- Graham Inggs <ginggs@debian.org>  Fri, 21 Apr 2017 10:06:38 +0200

zimlib (1.4-2) unstable; urgency=medium

  * Update symbols file for all architectures supported by Debian except
    alpha and sh4.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 12 Nov 2016 22:57:43 +0530

zimlib (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Added 0002 patch from upstream source fixing build failure.
  * Update symbols file for 1.4 release.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 12 Nov 2016 18:20:26 +0530

zimlib (1.3-1) unstable; urgency=medium

  * New upstream release 1.3
  * Update libzim0v5.symbols file for new release.
  * Update copyright and copyright_hints file.
  * Replace devscripts build dependency with licensecheck

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 11 Oct 2016 20:27:36 +0530

zimlib (1.2-12) unstable; urgency=medium

  * Update symbols file to include amd64 symbols.
    Closes: bug#831209, Thanks to Lucas Nussbaum.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 16 Jul 2016 17:07:20 +0530

zimlib (1.2-11) unstable; urgency=low

  * Update the symbols file for gcc-6 release.
    Closes: bug#811976, Thanks to Martin Michlmayr
  * debian/control:
    + Mark package as compliant with Debian policy 3.9.8.
  * debian/rules:
    + Make sure empty ChangeLog file from upstream is not installed.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jul 2016 13:49:34 +0530

zimlib (1.2-10) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Update watch file: Fix avoid uupdate (doesn't play well with
    git-buildpackage).
  * Fix relax symbols check when targeting experimental.
  * Update symbols file for armel armhf hurd-i386 kfreebsd-i386 m68k
    mips mipsel powerpc powerpcspe sparc64.

  [ Vasudev Kamath ]
  * Change my email address in Uploaders field.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jul 2016 13:32:33 +0530

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
  libtool,
  automake,
  autoconf,
- devscripts,
- d-shlibs (>= 0.61),
+ licensecheck,
  liblzma-dev,
  libcxxtools-dev,
- pkg-kde-tools
+ pkg-kde-tools,
+ d-shlibs (>= 0.61)
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
- Vasudev Kamath <kamathvasudev@gmail.com>,
+ Vasudev Kamath <vasudev@copyninja.info>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.openzim.org/wiki/Zimlib
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zimlib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zimlib.git

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
  $(shell dpkg-parsechangelog | grep -Po '^Distribution: \K.*'))
 
 # relax symbols check when targeting experimental
-$(if $(EXP_RELEASE),export DPKG_GENSYMBOLS_CHECK_LEVEL=0)
+export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 stem = zim
 major = 0
@@ -75,3 +75,6 @@
 DEB_ACLOCAL_ARGS = -Im4 --install --force
 DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
 DEB_MAKE_CLEAN_TARGET = distclean
+
+# Make sure empty ChangeLog from upstream is not installed
+DEB_INSTALL_CHANGELOGS_ALL =

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version = 4
http://www.openzim.org/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian

## zimlib 2.0.0

=== debian/changelog ===
zimlib (2.0.0-2build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:56:12 +0000

zimlib (2.0.0-2build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:49:29 +0000

zimlib (2.0.0-2) unstable; urgency=medium

  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.1.
  * Update symbols file.
    Closes: Bug#872464. Thanks to James Clarke.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Drop obsolete README.source: CDBS no longer used.
  * Update copyright info:
    + Use only Github issue tracker as preferred form of contact.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 17:17:32 +0200

zimlib (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    Closes: bug#868641. Thanks to Kunal Mehta.
    + Move to meson build system
    + Move to C++11 standard
    + Full text search using xapian API's
    + Drop old unsupported API's
    + Remove bzip2 and symbian support.
  * debian/watch:
    + Bump watch file version to 4.0.
    + Change upstream URL to Github.
  * debian/control:
    + Mark package as compliant with Debian policy 4.0.0.
    + Drop libzim0v5 libzim0v5-dbg packages as upstream bumped soname to 2.
    + Introduce libzim2 package.
    + Drop build dependency on cdbs, dh-buildinfo and dh-buildinfo.
    + Drop build dependency on autotools-dev, automake, autoconf and
      libtool as package upstream now uses meson build system.
    + Add build dependency on meson and ninja-build
    + Add versioned build dependency on debhelper >= 9.
    + Add build dependency on libxapian-dev, zlib1g-dev and pkg-config.
  * Drop libzim0v5.symbols file.
  * debian/patches:
    + Drop patch 1001_fix_uuid_test_on_hurd.patch its merged upstream.
    + Drop upstream cherry-picked patch 0002 as its included in new release.
  * Create new libzim2.symbols file.
  * debian/copyright:
    + Move around files which are now in new paths.
    + Remove all unused references to older release (autotools files)
    + Use secure URL for Format field.
    + Add new Github URL for Upstream-Contact and Source fields.
  * Update debian/copyright_hints file for new release.
  * Add debian/copyright-check for updating copyright_hints file.
  * Add libzim2.install file for installing share library.
  * Add libzim-dev.install for installing development header and
    pkg-config files.
  * debian/source/lintian-overrides:
    + Drop unused lintian-override on versioned debhelper dependency.
    + Add lintian-override for FIXME errors in copyright_hints.
  * Drop hard coded Pre-Depends on multiarch-support package.
    Closes: bug#870517. Thanks to  Aurelien Jarno.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 05 Aug 2017 16:14:26 +0530

=== debian/control ===
Source: zimlib
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
 liblzma-dev,
 zlib1g-dev,
 libcxxtools-dev,
 libicu-dev,
 libxapian-dev,
 pkg-kde-tools,
 meson,
 ninja-build,
 pkg-config
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Vasudev Kamath <vasudev@copyninja.info>,
 Mike Gabriel <sunweaver@debian.org>,
Homepage: http://www.openzim.org/wiki/Zimlib
Standards-Version: 4.0.1
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zimlib.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/zimlib.git

Package: libzim2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libzim0, libzim0v5
Replaces: libzim0, libzim0v5
Description: library implementation of ZIM specifications
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 zimlib is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 Features of zimlib are:
  * Native, coded in C++
  * Extremely fast
  * Minimal footprint
  * Minimal dependencies
  * Portable on most OS (Windows, Linux, Mac OS X)

Package: libzim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 ${devlibs:Depends},
 libzim2 (= ${binary:Version})
Description: library implementation of ZIM specifications (development)
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 zimlib is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 This package contains development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=meson

## zimlib 4.0.4

=== meson_options.txt ===
--- 
+++ 
@@ -4,3 +4,9 @@
   description : 'set dirent cache size to number (default:512)')
 option('LZMA_MEMORY_SIZE', type : 'string', value : '128',
   description : 'set lzma uncompress memory in MB (default:128)')
+option('USE_MMAP', type: 'boolean', value: true,
+  description: 'Use mmap to avoid copy from file. (default:true, always false on windows)')
+option('USE_BUFFER_HEADER', type: 'boolean', value: true,
+  description: 'Copy (or use mmap) header index buffers. (default:true)
+Header index are used to access articles, having them in memory can improve access speed but on low memory devices it may use to many memory.
+If false, we directly read the index in the file at each article access.')

=== debian/changelog ===
zimlib (4.0.4-5) unstable; urgency=medium

  * Have libzim-dev depend upon libraries it Requires in libzim.pc

 -- Kunal Mehta <legoktm@debian.org>  Wed, 19 Dec 2018 00:53:38 -0800

zimlib (4.0.4-4) unstable; urgency=medium

  * Release to unstable
  * Update symbols file for more architectures
  * Set Rules-Requires-Root: no
  * Standards-Version: 4.2.1, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Mon, 10 Dec 2018 23:34:49 -0800

zimlib (4.0.4-3) experimental; urgency=medium

  * Update amd64 symbols again

 -- Kunal Mehta <legoktm@debian.org>  Mon, 03 Dec 2018 21:28:00 -0800

zimlib (4.0.4-2) experimental; urgency=medium

  * Update symbols for arm64 armel armhf i386 m68k mips mips64el mipsel
    powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 architectures.
  * Configure Salsa-Pipeline.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 13 Nov 2018 22:37:17 -0800

zimlib (4.0.4-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Kunal Mehta ]
  * New upstream release 4.0.4 (Closes: #884440)
  * Set SKIP_BIG_MEMORY_TEST=1 during build
  * Add myself (Kunal Mehta) to uploaders

 -- Kunal Mehta <legoktm@debian.org>  Sun, 04 Nov 2018 20:31:24 -0800

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Build-Depends: debhelper (>= 9),
  liblzma-dev,
  zlib1g-dev,
- libcxxtools-dev,
  libicu-dev,
  libxapian-dev,
+ libgtest-dev,
  pkg-kde-tools,
  meson,
  ninja-build,
@@ -15,19 +15,21 @@
 Uploaders:
  Vasudev Kamath <vasudev@copyninja.info>,
  Mike Gabriel <sunweaver@debian.org>,
+ Kunal Mehta <legoktm@debian.org>
 Homepage: http://www.openzim.org/wiki/Zimlib
-Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zimlib.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/zimlib.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/debian/zimlib.git
+Vcs-Browser: https://salsa.debian.org/debian/zimlib
+Rules-Requires-Root: no
 
-Package: libzim2
+Package: libzim4
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libzim0, libzim0v5
-Replaces: libzim0, libzim0v5
+Conflicts: libzim0, libzim0v5, libzim2
+Replaces: libzim0, libzim0v5, libzim2
 Description: library implementation of ZIM specifications
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on
@@ -52,7 +54,11 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${devlibs:Depends},
- libzim2 (= ${binary:Version})
+ libzim4 (= ${binary:Version}),
+ liblzma-dev,
+ zlib1g-dev,
+ libxapian-dev,
+ libicu-dev
 Description: library implementation of ZIM specifications (development)
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version = 4
https://github.com/openzim/libzim/releases .*/@ANY_VERSION@@ARCHIVE_EXT@

## zimlib 5.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -7,6 +7,8 @@
 option('USE_MMAP', type: 'boolean', value: true,
   description: 'Use mmap to avoid copy from file. (default:true, always false on windows)')
 option('USE_BUFFER_HEADER', type: 'boolean', value: true,
-  description: 'Copy (or use mmap) header index buffers. (default:true)
+  description: '''Copy (or use mmap) header index buffers. (default:true)
 Header index are used to access articles, having them in memory can improve access speed but on low memory devices it may use to many memory.
-If false, we directly read the index in the file at each article access.')
+If false, we directly read the index in the file at each article access.''')
+option('static-linkage', type : 'boolean', value : false,
+  description : 'Link statically with the dependencies.')

=== debian/changelog ===
zimlib (5.0.0-2) experimental; urgency=medium

  * Update gitlab-ci.yml for salsa-ci changes
  * Update symbols file for armel armhf hppa i386 ia64 m68k mips mips64el
    mipsel powerpc ppc64 ppc64el s390x sh4 sparc64 x32.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 26 Jul 2019 17:40:10 -0400

zimlib (5.0.0-1) experimental; urgency=medium

  * New upstream version 5.0.0
  * Enable hardening flags
  * Standards-Version: 4.4.0, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Tue, 09 Jul 2019 13:28:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: zimlib
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
  liblzma-dev,
  zlib1g-dev,
  libicu-dev,
@@ -17,19 +17,19 @@
  Mike Gabriel <sunweaver@debian.org>,
  Kunal Mehta <legoktm@debian.org>
 Homepage: http://www.openzim.org/wiki/Zimlib
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/zimlib.git
 Vcs-Browser: https://salsa.debian.org/debian/zimlib
 Rules-Requires-Root: no
 
-Package: libzim4
+Package: libzim5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libzim0, libzim0v5, libzim2
-Replaces: libzim0, libzim0v5, libzim2
+Conflicts: libzim0, libzim0v5, libzim2, libzim4
+Replaces: libzim0, libzim0v5, libzim2, libzim4
 Description: library implementation of ZIM specifications
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on
@@ -53,8 +53,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- ${devlibs:Depends},
- libzim4 (= ${binary:Version}),
+ libzim5 (= ${binary:Version}),
  liblzma-dev,
  zlib1g-dev,
  libxapian-dev,

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Skip some extremely memory-intensive tests
export SKIP_BIG_MEMORY_TEST=1
%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=meson

## zimlib 6.2.2

=== meson_options.txt ===
--- 
+++ 
@@ -12,3 +12,5 @@
 If false, we directly read the index in the file at each article access.''')
 option('static-linkage', type : 'boolean', value : false,
   description : 'Link statically with the dependencies.')
+option('doc', type : 'boolean', value : false,
+  description : 'Build the documentations.')

=== debian/changelog ===
zimlib (6.2.2-1) unstable; urgency=medium

  * New upstream version 6.2.2
  * Drop symbols file (Closes: #969196, #924572)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 05 Sep 2020 02:29:25 -0700

zimlib (6.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Confirm symbols for amd64 arm64 armel armhf hppa i386 ia64 m68k
    mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32

 -- Kunal Mehta <legoktm@debian.org>  Fri, 28 Aug 2020 00:35:20 -0700

zimlib (6.2.0-1) experimental; urgency=medium

  * New upstream version 6.2.0

 -- Kunal Mehta <legoktm@debian.org>  Thu, 27 Aug 2020 14:50:01 -0700

zimlib (6.1.8-2) unstable; urgency=medium

  * Upload to unstable
  * Confirm arm64 armel armhf hppa i386 m68k powerpc ppc64 ppc64el
    riscv64 s390x sparc64 x32 symbols

 -- Kunal Mehta <legoktm@debian.org>  Fri, 17 Jul 2020 14:37:43 -0700

zimlib (6.1.8-1) experimental; urgency=medium

  * New upstream version 6.1.8
  * Switch to debhelper compat 13, bump test timeout through `meson test`
  * Update d/copyright
  * Update libzim6.symbols

 -- Kunal Mehta <legoktm@debian.org>  Fri, 17 Jul 2020 00:47:57 -0700

zimlib (6.1.7-2) unstable; urgency=medium

  * Upload to unstable
  * Bump test timeout to 300 seconds
  * Confirm alpha arm64 armel armhf hppa i386 ia64 m68k powerpc ppc64
    ppc64el riscv64 s390x sh4 x32 symbols

 -- Kunal Mehta <legoktm@debian.org>  Tue, 07 Jul 2020 16:38:35 -0700

zimlib (6.1.7-1) experimental; urgency=medium

  * New upstream version 6.1.7
  * Increase test timeout for slower architectures (Closes: #964196)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 04 Jul 2020 02:14:19 -0700

zimlib (6.1.3-4) unstable; urgency=medium

  * Upload to unstable.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 02 Jul 2020 14:15:08 -0700

zimlib (6.1.3-3) experimental; urgency=medium

  * Update symbols for libicu67
  * Remove Vasudev Kamath from uploaders, per request

 -- Kunal Mehta <legoktm@debian.org>  Thu, 11 Jun 2020 01:51:48 -0700

zimlib (6.1.3-2) experimental; urgency=medium

  * Have libzim-dev require libzstd-dev
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Update symbols for alpha amd64 arm64 armel armhf hppa i386
    ia64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
    sh4 sparc64 x32

 -- Kunal Mehta <legoktm@debian.org>  Wed, 03 Jun 2020 02:49:21 -0700

zimlib (6.1.3-1) experimental; urgency=medium

  * New upstream version 6.1.3
  * d/control: Update Homepage link to use HTTPS

 -- Kunal Mehta <legoktm@debian.org>  Wed, 20 May 2020 13:51:33 -0700

zimlib (6.0.2-2) experimental; urgency=medium

  * Update symbols for armel armhf hppa i386 ia64 mips64el
    mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32

 -- Kunal Mehta <legoktm@debian.org>  Wed, 25 Dec 2019 14:34:56 -0800

zimlib (6.0.2-1) experimental; urgency=medium

  * New upstream version 6.0.2
  * Standards-Version: 4.4.1, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Sun, 24 Nov 2019 21:45:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: zimlib
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  liblzma-dev,
  zlib1g-dev,
  libicu-dev,
  libxapian-dev,
+ libzstd-dev,
+ uuid-dev,
  libgtest-dev,
- pkg-kde-tools,
  meson,
  ninja-build,
  pkg-config
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
- Vasudev Kamath <vasudev@copyninja.info>,
  Mike Gabriel <sunweaver@debian.org>,
  Kunal Mehta <legoktm@debian.org>
-Homepage: http://www.openzim.org/wiki/Zimlib
-Standards-Version: 4.4.0
+Homepage: https://www.openzim.org/wiki/Zimlib
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/zimlib.git
 Vcs-Browser: https://salsa.debian.org/debian/zimlib
 Rules-Requires-Root: no
 
-Package: libzim5
+Package: libzim6
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libzim0, libzim0v5, libzim2, libzim4
-Replaces: libzim0, libzim0v5, libzim2, libzim4
+Conflicts: libzim0, libzim0v5, libzim2, libzim4, libzim5
+Replaces: libzim0, libzim0v5, libzim2, libzim4, libzim5
 Description: library implementation of ZIM specifications
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on
@@ -53,11 +53,12 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libzim5 (= ${binary:Version}),
+ libzim6 (= ${binary:Version}),
  liblzma-dev,
  zlib1g-dev,
  libxapian-dev,
- libicu-dev
+ libicu-dev,
+ libzstd-dev
 Description: library implementation of ZIM specifications (development)
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on

## zimlib 6.3.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
   description : 'set cluster cache size to number (default:16)')
 option('DIRENT_CACHE_SIZE', type : 'string', value : '512',
   description : 'set dirent cache size to number (default:512)')
+option('DIRENT_LOOKUP_CACHE_SIZE', type : 'string', value : '1024',
+  description : 'set dirent lookup cache size to number (default:1024)')
 option('LZMA_MEMORY_SIZE', type : 'string', value : '128',
   description : 'set lzma uncompress memory in MB (default:128)')
 option('USE_MMAP', type: 'boolean', value: true,

=== debian/changelog ===
zimlib (6.3.0-2) unstable; urgency=medium

  * Break python3-libzim (<< 0.0.3-2), see #975994

 -- Kunal Mehta <legoktm@debian.org>  Wed, 02 Dec 2020 18:30:24 -0800

zimlib (6.3.0-1) unstable; urgency=medium

  * New upstream version 6.3.0
  * Drop zlib1g-dev dependency

 -- Kunal Mehta <legoktm@debian.org>  Tue, 17 Nov 2020 13:04:43 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  liblzma-dev,
- zlib1g-dev,
  libicu-dev,
  libxapian-dev,
  libzstd-dev,
@@ -28,6 +27,7 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: python3-libzim (<< 0.0.3-2)
 Conflicts: libzim0, libzim0v5, libzim2, libzim4, libzim5
 Replaces: libzim0, libzim0v5, libzim2, libzim4, libzim5
 Description: library implementation of ZIM specifications
@@ -55,7 +55,6 @@
 Depends: ${misc:Depends},
  libzim6 (= ${binary:Version}),
  liblzma-dev,
- zlib1g-dev,
  libxapian-dev,
  libicu-dev,
  libzstd-dev

## zimlib 7.2.0

=== meson_options.txt ===
--- 
+++ 
@@ -16,3 +16,7 @@
   description : 'Link statically with the dependencies.')
 option('doc', type : 'boolean', value : false,
   description : 'Build the documentations.')
+option('with_xapian', type : 'boolean', value: true,
+  description: 'Build libzim with xapian support')
+option('test_data_dir', type : 'string', value: '',
+  description: 'Where the test data are. If not set, meson will use a internal directory in  the build dir. If you want to download the data in the specified directory you can use `meson download_test_data`. As a special value, you can pass `none` to deactivate test using external test data.')

=== debian/changelog ===
zimlib (7.2.0-2build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:42:37 +0100

zimlib (7.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Wed, 02 Feb 2022 20:07:59 -0800

zimlib (7.2.0-1) experimental; urgency=medium

  * New upstream version 7.2.0

 -- Kunal Mehta <legoktm@debian.org>  Wed, 26 Jan 2022 23:35:39 -0800

zimlib (7.1.0-1) experimental; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 7.1.0

  [ Jonas Smedegaard ]
  * remove myself as maintainer, passing on to Kunal Mehta

 -- Kunal Mehta <legoktm@debian.org>  Sat, 08 Jan 2022 18:04:49 -0800

zimlib (6.3.2-1) unstable; urgency=medium

  * New upstream version 6.3.2

 -- Kunal Mehta <legoktm@debian.org>  Fri, 20 Aug 2021 23:18:58 -0700

=== debian/control ===
Source: zimlib
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 liblzma-dev,
 libicu-dev,
 libxapian-dev,
 libzstd-dev,
 uuid-dev,
 libgtest-dev,
 meson,
 ninja-build,
 pkg-config
Maintainer: Kunal Mehta <legoktm@debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Homepage: https://www.openzim.org/wiki/Libzim
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/zimlib.git
Vcs-Browser: https://salsa.debian.org/debian/zimlib
Rules-Requires-Root: no

Package: libzim7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: python3-libzim (<< 0.0.3-2)
Conflicts: libzim0, libzim0v5, libzim2, libzim4, libzim5, libzim6
Replaces: libzim0, libzim0v5, libzim2, libzim4, libzim5, libzim6
Description: library implementation of ZIM specifications
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 libzim is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 Features of libzim are:
  * Native, coded in C++
  * Extremely fast
  * Minimal footprint
  * Minimal dependencies
  * Portable on most OS (Windows, Linux, Mac OS X)

Package: libzim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libzim7 (= ${binary:Version}),
 liblzma-dev,
 libxapian-dev,
 libicu-dev,
 libzstd-dev
Description: library implementation of ZIM specifications (development)
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 libzim is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 This package contains development files.

## zimlib 7.2.2

=== debian/changelog ===
zimlib (7.2.2-1) unstable; urgency=medium

  * New upstream version 7.2.2

 -- Kunal Mehta <legoktm@debian.org>  Mon, 04 Jul 2022 01:17:28 -0700

zimlib (7.2.1-1) unstable; urgency=medium

  * New upstream version 7.2.1

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 May 2022 00:34:28 -0400

## zimlib 8.1.1

=== debian/changelog ===
zimlib (8.1.1-0.2) unstable; urgency=high

  * Non-maintainer upload
  * Add autopkgtest (in order to migrate to testing to let python-libzim
    migrate, see #1028780)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Apr 2023 18:51:25 +0200

zimlib (8.1.1-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 8.1.1 (Closes: #1028780)

 -- Bastian Germann <bage@debian.org>  Wed, 29 Mar 2023 12:57:28 +0200

zimlib (8.1.0+really8.1.0-1) experimental; urgency=medium

  * New upstream version 8.1.0 (really)

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 Jan 2023 22:50:35 -0500

zimlib (8.1.0+really8.0.0-1) unstable; urgency=medium

  * Revert back to 8.0.0 pending proper transition.
    (Closes: #1027565, #1028495)

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 Jan 2023 22:05:31 -0500

zimlib (8.1.0-1) unstable; urgency=medium

  * New upstream version 8.1.0
  * Update d/watch based on uscan(1)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 31 Dec 2022 16:11:08 -0800

zimlib (8.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop unnecessary Conflicts+Replaces on old library
    versions (Closes: #1020214)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Nov 2022 18:21:21 +0100

zimlib (8.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Sun, 28 Aug 2022 13:58:55 -0400

zimlib (8.0.0-1) experimental; urgency=medium

  * New upstream version 8.0.0

 -- Kunal Mehta <legoktm@debian.org>  Fri, 19 Aug 2022 21:25:05 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  libicu-dev,
  libxapian-dev,
  libzstd-dev,
- uuid-dev,
  libgtest-dev,
  meson,
  ninja-build,
@@ -20,15 +19,13 @@
 Vcs-Browser: https://salsa.debian.org/debian/zimlib
 Rules-Requires-Root: no
 
-Package: libzim7
+Package: libzim8
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: python3-libzim (<< 0.0.3-2)
-Conflicts: libzim0, libzim0v5, libzim2, libzim4, libzim5, libzim6
-Replaces: libzim0, libzim0v5, libzim2, libzim4, libzim5, libzim6
 Description: library implementation of ZIM specifications
  ZIM (Zeno IMproved) is an open file format for storing the contents of
  wiki for offline usage. This file format is primarily focused on
@@ -52,7 +49,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libzim7 (= ${binary:Version}),
+ libzim8 (= ${binary:Version}),
  liblzma-dev,
  libxapian-dev,
  libicu-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/openzim/libzim/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
